import { PackageNumberParserPipe } from './package-number-parser.pipe';

describe('PackageNumberParserPipe', () => {
  let pipe: PackageNumberParserPipe;

  beforeEach(() => {
    pipe = new PackageNumberParserPipe();
  });

  it('creates an instance', () => {
    expect(pipe).toBeTruthy();
  });

  it('should return 01234', () => {
    const packageNumber = '026706900032072971';

    const result = pipe.transform(packageNumber);

    expect(result).toBe('900032');
  });
});
